package pool_test

import (
	"bytes"
	"testing"

	"git.chuangxin1.com/myth/sacred/pool"
)

var data = make([]byte, 10000)

func BenchmarkBufferWithPool(b *testing.B) {
	for n := 0; n < b.N; n++ {
		buf := pool.NewBuffer()
		buf.Write(data)
		buf.Reset()
		pool.PutBuffer(buf)
	}
}

func BenchmarkBuffer(b *testing.B) {
	for n := 0; n < b.N; n++ {
		var buf bytes.Buffer
		buf.Write(data)
	}
}
