package tcp

import (
	"net"
	"time"
)

// Write write to socket with timeout
func Write(c *net.TCPConn, t time.Duration, b []byte) (n int, err error) {
	err = c.SetWriteDeadline(time.Now().Add(t))
	if err != nil {
		return
	}
	n, err = c.Write(b)
	return
}
